<?php
/**
 * Clase Base Bean para BaseArCuentaBN
 *
 * @package    Sedapal
 * @subpackage BaseArCuentaBN
 * @author     Willy
 * @version    SVN:: BaseArCuentaBN.class.php,v 1.1 2020-06-30 13:51:13 william.taype Exp $
 */
abstract class BaseArCuentaBN
{
  protected $Idcuenta;
  protected $Tipo;
  protected $Titular;
  protected $Moneda;
  protected $Numero;
  protected $Idbanco;
  protected $Estado;
  protected $Eliminado;
  protected $Fechaeliminado;
  protected $Usuarioeliminado;
  protected $Mensaje;
  protected $Error;

  public function getIdcuenta(){
    return $this->Idcuenta;
  }
  public function setIdcuenta($v1){
    $this->Idcuenta = $v1; 
  }

  public function getTipo(){
    return $this->Tipo;
  }
  public function setTipo($v1){
    $this->Tipo = $v1; 
  }

  public function getTitular(){
    return $this->Titular;
  }
  public function setTitular($v1){
    $this->Titular = $v1; 
  }

  public function getMoneda(){
    return $this->Moneda;
  }
  public function setMoneda($v1){
    $this->Moneda = $v1; 
  }

  public function getNumero(){
    return $this->Numero;
  }
  public function setNumero($v1){
    $this->Numero = $v1; 
  }

  public function getIdbanco(){
    return $this->Idbanco;
  }
  public function setIdbanco($v1){
    $this->Idbanco = $v1; 
  }

  public function getEstado(){
    return $this->Estado;
  }
  public function setEstado($v1){
    $this->Estado = $v1; 
  }

  public function getEliminado(){
    return $this->Eliminado;
  }
  public function setEliminado($v1){
    $this->Eliminado = $v1; 
  }

  public function getFechaeliminado(){
    return $this->Fechaeliminado;
  }
  public function setFechaeliminado($v1){
    $this->Fechaeliminado = $v1; 
  }

  public function getUsuarioeliminado(){
    return $this->Usuarioeliminado;
  }
  public function setUsuarioeliminado($v1){
    $this->Usuarioeliminado = $v1; 
  }
  
  public function getFechacreacion(){
    return $this->Fechacreacion;
  }
  public function setFechacreacion($v1){
    $this->Fechacreacion = $v1; 
  }
  
  public function getUsuariocreacion(){
    return $this->Usuariocreacion;
  }
  public function setUsuariocreacion($v1){
    $this->Usuariocreacion = $v1; 
  }
  
  
  public function getFechamodificacion(){
    return $this->Fechamodificacion;
  }
  public function setFechamodificacion($v1){
    $this->Fechamodificacion = $v1; 
  }
  
  public function getUsuariomodificacion(){
    return $this->Usuariomodificacion;
  }
  public function setUsuariomodificacion($v1){
    $this->Usuariomodificacion = $v1; 
  }

  public function getMensaje(){
    return $this->Mensaje;
  }
  public function setMensaje($vl){
    $this->Mensaje = $vl;
  }

  public function getError(){
    return $this->Error;
  }
  public function setError($vl){
    $this->Error = $vl;
  }

  /* Recupera un objeto Ar_cuentaBN desde un RecordSet */
  public static function retrieveByRs( $o_Ar_cuentaRs )
  {
    $o_ArCuentaBN = new ArCuentaBN();
    $o_ArCuentaBN->setIdcuenta( $o_Ar_cuentaRs['idcuenta'] );
    $o_ArCuentaBN->setTipo( $o_Ar_cuentaRs['tipo'] );
    $o_ArCuentaBN->setTitular( $o_Ar_cuentaRs['titular'] );
    $o_ArCuentaBN->setMoneda( $o_Ar_cuentaRs['moneda'] );
    $o_ArCuentaBN->setNumero( $o_Ar_cuentaRs['numero'] );
    $o_ArCuentaBN->setIdbanco( $o_Ar_cuentaRs['idbanco'] );
    $o_ArCuentaBN->setEstado( $o_Ar_cuentaRs['estado'] );
    $o_ArCuentaBN->setEliminado( $o_Ar_cuentaRs['eliminado'] );
    $o_ArCuentaBN->setFechaeliminado( $o_Ar_cuentaRs['fechaeliminado'] );
    $o_ArCuentaBN->setUsuarioeliminado( $o_Ar_cuentaRs['usuarioeliminado'] );
    return $o_ArCuentaBN;
  }
}